# Monitor & HealthCheck

### Monitor

<mark style="color:blue;">`GET`</mark> `http://cess.local/dashboard`

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| Content-Type | string | application/json |

{% tabs %}
{% tab title="200 " %}

```
{"time":"43200","status":{"SIGNED":2466,"WAITING":1}}
```

{% endtab %}
{% endtabs %}

### Health Check

<mark style="color:blue;">`GET`</mark> `http://cess.local/health-check`

O health check é sempre atualizado no momento da requisição. Caso o parâmetro *full* seja passado com o valor *true*, será retornado informações adicionais do container, como memória, cpu e assinaturas. \
Quando estiver tudo correto com o container, será retornado status OK; todavia, quando houver algum erro, será retornado status ERROR.<br>

#### Query Parameters

| Name | Type    | Description |
| ---- | ------- | ----------- |
| full | boolean | true        |

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| Content-Type | string | application/json |

{% tabs %}
{% tab title="200 " %}

```
{
	"status": "OK",
	"messages": ["Everything is OK"],
	"details": {
		"memory": {
			"total": "7740 MB",
			"used": "6157 MB",
			"available": "763 MB"
		},
		"swap": {
			"total": "7879 MB",
			"used": "121 MB",
			"available": "7758 MB"
		},
		"cpu_usage": "22.6 %",
		"num_cpu": 4,
		"running_processes": "16",
		"proc_loadavg": "2.10 1.92 1.97 2\/1157 614",
		"disk_total": {
			"\/var\/www\/data\/files": "152 GB"
		},
		"disk_free": {
			"\/var\/www\/data\/files": "115 GB"
		},
		"signature": {
			"time": "4000",
			"status": {
				"SIGNED": 1
			}
		}
	}
}
```

{% endtab %}
{% endtabs %}

Estrutura da resposta:

|          | .                                                                               |
| -------- | ------------------------------------------------------------------------------- |
| status   | <p>Retorna da solução (no adapter padrão)</p><ul><li>OK</li><li>ERROR</li></ul> |
| messages | Lista de mensagens                                                              |
| details  | Informações adicionais sobre container                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vaultid.com.br/workspace/cess/api/monitor-and-healthcheck.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
